Obsolete an entity
put
https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/v1/obsolete/{resourceName}
Marks the specified entity as obsolete using the request payload and the resource name path parameter.
Request
Path Parameters
-
resourceName(required): string
The entity for which obsolete is initiated.
Supported Media Types
- application/json
Root Schema : ObsoleteSchema
Type:
arrayTitle:
ObsoleteSchemaMinimum Number of Items:
1Maximum Number of Items:
50The obsolete schema resource.
Show Source
-
Array of:
object ObsoleteSchemaRef
Title:
ObsoleteSchemaRefThe obsolete schema reference resource.
Nested Schema : ObsoleteSchemaRef
Type:
objectTitle:
ObsoleteSchemaRefThe obsolete schema reference resource.
Show Source
-
id: string
Maximum Length:
30The ID of the obsolete schema reference. -
name: string
The name of the obsolete schema reference.
-
version: string
The entity version.
Response
200 Response
The list of obsoletes was created or updated successfully.
400 Response
Your request couldn't be processed because it contains missing or invalid information, such as a validation error on an input field, a missing required value, and so forth.
Root Schema : Error
Type:
objectTitle:
ErrorThe error resource.
Show Source
-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
401 Response
Your request isn't authorized. The authentication credentials included with this request are missing or invalid.
Root Schema : Error
Type:
objectTitle:
ErrorThe error resource.
Show Source
-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
404 Response
The resource with the specified URI couldn't be found.
Root Schema : Error
Type:
objectTitle:
ErrorThe error resource.
Show Source
-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
405 Response
HTTP action specified in the request (DELETE, GET, POST, PUT) isn't supported for this request URI.
Root Schema : Error
Type:
objectTitle:
ErrorThe error resource.
Show Source
-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
500 Response
The server encountered something unexpected that prevented it from completing the request.
Root Schema : Error
Type:
objectTitle:
ErrorThe error resource.
Show Source
-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
Examples
The following example shows how to obsolete an entity by submitting a put request on the REST resource using cURL.
cURL Command
curl -u username:password -X PUT
https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/v1/obsolete/{resourceName}
-H 'Content-Type: application/json' -D @obsolete.json | json_pp
Example of Request Body
The following shows an example of the request body in JSON format.
[
{
"id": "SUPREMO_OFFER",
"name": "Supremo Offer",
"version": "1.0"
}
]
Example of Response Body
The following shows an example of the response body in JSON format.
[
{
"id": "SUPREMO_OFFER",
"status": "SUCCESS"
}
]